> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Events



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/jobs/{job_id}/events
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/wikis/{wiki_id}/jobs/{job_id}/events:
    get:
      summary: Job Events
      operationId: job_events_v1_wikis__wiki_id__jobs__job_id__events_get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: path
          name: job_id
          required: true
          schema:
            title: Job Id
            type: string
        - in: query
          name: include_payload
          required: false
          schema:
            default: false
            title: Include Payload
            type: boolean
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HostedJobEventDTO'
                title: >-
                  Response Job Events V1 Wikis  Wiki Id  Jobs  Job Id  Events
                  Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedJobEventDTO:
      additionalProperties: false
      properties:
        created_at:
          title: Created At
          type: string
        event_id:
          title: Event Id
          type: string
        job_id:
          title: Job Id
          type: string
        level:
          $ref: '#/components/schemas/HostedJobEventLevel'
        message:
          title: Message
          type: string
        payload_json:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload Json
        sequence:
          title: Sequence
          type: integer
      required:
        - event_id
        - job_id
        - sequence
        - level
        - message
        - created_at
      title: HostedJobEventDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HostedJobEventLevel:
      enum:
        - info
        - warning
        - error
      title: HostedJobEventLevel
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````